VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "fbPropMgrHdlr"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
' This file is the implementation of the PropertyManagerPage2Handler2 interface.
' Each of these methods is called when its corresponding notification is fired
' from within SolidWorks.  It is customary to have notifications use callback
' functions defined within the main application to perform any desired actions.

Option Explicit

Implements PropertyManagerPage2Handler2

'Variable that provides access to the PropertyManagerPage
Dim m_PageObj                   As fbPropMgr

'This method is called to initialize the Handler
Public Sub Init(pageObj As fbPropMgr)
    Set m_PageObj = pageObj
End Sub

Private Sub Class_Initialize()
    Debug.Print "Class_Initialize"
End Sub

Private Sub Class_Terminate()
    Debug.Print "Class_Terminate"
End Sub

'******************************************************************************'
'These methods are the implementations of the SolidWorks notifications
Private Sub PropertyManagerPage2Handler2_AfterClose()
    Debug.Print "PropertyManagerPage2Handler2_AfterClose"
End Sub

Private Function PropertyManagerPage2Handler2_OnActiveXControlCreated(ByVal Id As Long, ByVal Status As Boolean) As Long
    Debug.Print "PropertyManagerPage2Handler2_OnActiveXControlCreated"
End Function

Private Sub PropertyManagerPage2Handler2_OnButtonPress(ByVal Id As Long)
    m_PageObj.OnButtonPressed (Id)
End Sub

Private Sub PropertyManagerPage2Handler2_OnCancel()
    Debug.Print "PropertyManagerPage2Handler2_OnCancel"
End Sub

Private Sub PropertyManagerPage2Handler2_OnCheckboxCheck(ByVal Id As Long, ByVal Checked As Boolean)
    Debug.Print "PropertyManagerPage2Handler2_OnCheckboxCheck"
End Sub

Private Sub PropertyManagerPage2Handler2_OnClose(ByVal Reason As Long)
    Debug.Print "PropertyManagerPage2Handler2_OnClose"
    
    ' broken:
    '       SPR 146380 - "Cannot return S_FALSE from PropertyManagerPage2Handler::OnClose in Visual Basic - incorrect prototype generated from type library"
    '       SPR 146379 - "Returning S_FALSE from PropertyManagerPage2Handler::OnClose(swPropertyManagerPageClose_Cancel) results in PMP being closed"
    'PropertyManagerPage2Handler_OnClose = 1
End Sub

Private Sub PropertyManagerPage2Handler2_OnComboboxEditChanged(ByVal Id As Long, ByVal Text As String)
    Debug.Print "PropertyManagerPage2Handler2_OnComboboxEditChanged"
End Sub

Private Sub PropertyManagerPage2Handler2_OnComboboxSelectionChanged(ByVal Id As Long, ByVal Item As Long)
    Debug.Print "PropertyManagerPage2Handler2_OnComboboxSelectionChanged"
End Sub

Private Sub PropertyManagerPage2Handler2_OnGroupCheck(ByVal Id As Long, ByVal Checked As Boolean)
    Debug.Print "PropertyManagerPage2Handler2_OnGroupCheck"
End Sub

Private Sub PropertyManagerPage2Handler2_OnGroupExpand(ByVal Id As Long, ByVal Expanded As Boolean)
    Debug.Print "PropertyManagerPage2Handler2_OnGroupExpand"
End Sub

Private Function PropertyManagerPage2Handler2_OnHelp() As Boolean
    Debug.Print "PropertyManagerPage2Handler2_OnHelp"
End Function

Private Sub PropertyManagerPage2Handler2_OnListboxSelectionChanged(ByVal Id As Long, ByVal Item As Long)
    Debug.Print "PropertyManagerPage2Handler2_OnListboxSelectionChanged"
End Sub

Private Function PropertyManagerPage2Handler2_OnNextPage() As Boolean
    Debug.Print "PropertyManagerPage2Handler2_OnNextPage"
End Function

Private Sub PropertyManagerPage2Handler2_OnNumberboxChanged(ByVal Id As Long, ByVal Value As Double)
    Debug.Print "PropertyManagerPage2Handler2_OnNumberboxChanged"
    swPage.UpdateModel
    swPage.Show
End Sub

Private Sub PropertyManagerPage2Handler2_OnOK()
    Debug.Print "PropertyManagerPage2Handler2_OnOK"
End Sub

Private Sub PropertyManagerPage2Handler2_OnOptionCheck(ByVal Id As Long)
    Debug.Print "PropertyManagerPage2Handler2_OnOptionCheck"
End Sub

Private Function PropertyManagerPage2Handler2_OnPreviousPage() As Boolean
    Debug.Print "PropertyManagerPage2Handler2_OnPreviousPage"
End Function

Private Sub PropertyManagerPage2Handler2_OnSelectionboxCalloutCreated(ByVal Id As Long)
    Debug.Print "PropertyManagerPage2Handler2_OnSelectionboxCalloutCreated"
End Sub

Private Sub PropertyManagerPage2Handler2_OnSelectionboxCalloutDestroyed(ByVal Id As Long)
    Debug.Print "PropertyManagerPage2Handler2_OnSelectionboxCalloutDestroyed"
End Sub

Private Sub PropertyManagerPage2Handler2_OnSelectionboxFocusChanged(ByVal Id As Long)
    Debug.Print "PropertyManagerPage2Handler2_OnSelectionboxFocusChanged"
End Sub

Private Sub PropertyManagerPage2Handler2_OnSelectionboxListChanged(ByVal Id As Long, ByVal Count As Long)
    Debug.Print "PropertyManagerPage2Handler2_OnSelectionboxListChanged"
End Sub

Private Sub PropertyManagerPage2Handler2_OnTextboxChanged(ByVal Id As Long, ByVal Text As String)
    Debug.Print "PropertyManagerPage2Handler2_OnTextboxChanged"
End Sub

